[oe-commits] Paul Eggleton : initscripts: fix read-only-rootfs-hook. sh to avoid using unionfs

git at git.openembedded.org git at git.openembedded.org
Wed Apr 10 15:46:57 UTC 2013


Module: openembedded-core.git
Branch: master
Commit: 5a8ba93efa554c3b4d3b48ca8d668419a8c77f42
URL:    http://git.openembedded.org/?p=openembedded-core.git&a=commit;h=5a8ba93efa554c3b4d3b48ca8d668419a8c77f42

Author: Paul Eggleton <paul.eggleton at linux.intel.com>
Date:   Wed Apr 10 13:23:37 2013 +0000

initscripts: fix read-only-rootfs-hook.sh to avoid using unionfs

Unionfs isn't available everywhere, and we can get similar results (if
not quite as neatly) by using bind mounts + tmpfs and copying the data
over.

Signed-off-by: Paul Eggleton <paul.eggleton at linux.intel.com>
Signed-off-by: Richard Purdie <richard.purdie at linuxfoundation.org>

---

 .../initscripts-1.0/read-only-rootfs-hook.sh       |   15 ++++-----------
 1 files changed, 4 insertions(+), 11 deletions(-)

diff --git a/meta/recipes-core/initscripts/initscripts-1.0/read-only-rootfs-hook.sh b/meta/recipes-core/initscripts/initscripts-1.0/read-only-rootfs-hook.sh
index 3a295ee..4f3e0d9 100644
--- a/meta/recipes-core/initscripts/initscripts-1.0/read-only-rootfs-hook.sh
+++ b/meta/recipes-core/initscripts/initscripts-1.0/read-only-rootfs-hook.sh
@@ -4,16 +4,9 @@
 
 [ "$ROOTFS_READ_ONLY" = "no" ] && exit 0
 
-# Make sure unionfs is in /proc/filesystems
-if ! grep -q unionfs /proc/filesystems; then
-    echo "ERROR: unionfs not supported by kernel!"
-    exit 1
+if [ "$1" = "start" ] ; then
+	mkdir -p /var/volatile/lib
+	cp -a /var/lib/* /var/volatile/lib
+	mount --bind /var/volatile/lib /var/lib
 fi
 
-mkdir -p /var/volatile/lib
-mount -t unionfs -o dirs=/var/volatile/lib:/var/lib=ro none /var/lib
-
-if [ $? != 0 ]; then
-    echo "ERROR: Union mount failed!"
-    exit 1
-fi





More information about the Openembedded-commits mailing list